Subject: MyHomeKey Meeting With Mick Seidl
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 27 Oct 2000 09:19:00 -0700 (PDT)

Ken -

On your suggestion, Gene Lockhart and I met with Mick Seidl about his new 
venture, MyHomeKey.com. Mick has put together an interesting business based 
on becoming the nation's leading vertical home services portal.  Of 
particular note is their aggressive creation of an on-line home maintenance 
scheduling system. 

MyHomeKey.com has been funded in large part by TXU and KeySpan Energy.   As 
you well know these utilities are some of our primary competitors.  With this 
in mind we discussed some potential ideas.  Mick is to check to see if they 
can work through their exclusivity agreements and get back to us.

I will keep you informed of the progress.  

I hope they finally finished the Huntington Condo and you are enjoying it.  
Please give my best to Linda.

Tim